#ifndef __STONE__
#define __STONE__

#include <stdlib.h>
#include "Vec3f.h"

class VertexBufferObject;

class Stone
{
public:

	Stone( float radius, float variation, Vec3f diffuseColor = Vec3f(1,1,1));

	virtual ~Stone();

	void render();

	float getRadius();

protected:

	float radius;

	VertexBufferObject* vbo;
};

#endif __STONE__